<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_b3c41e1a2" . "3acddba8d8" . "8628b0c8be" . "714" => base64_decode("I2ZvbGRlci54bWw" . "="), "_52cda29110357d15a5dfbc080" . "5d422a3" => base64_decode("LnhtbA" . "=="));




class DocsExportMDCollectorXML extends DocsExportMDCollector
{
    
    
    
    
    
    
    public function __construct()
    {
        return parent::__construct(DocsExportMDCollector::MD_EXPORT_XML);
    }
    
    
    
    
    
    
    
    
    public function SaveFolderMD(DocsExportFolderMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path)
    {
        $_bf979ad79724b8e5b9e51d207c71509f = $_d87c1a85615d0b67be8af312e25473f6->GetXML()->saveXML();
        
        
        
        return $this->PassError($this->filesystem->SaveFile($path, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b3c41e1a23acddba8d88628b" . "0c8be714"], $_bf979ad79724b8e5b9e51d207c71509f, true), $this->filesystem);
    }
    
    
    
    
    
    
    
    
    public function SaveDocumentMD(DocsExportDocumentMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path)
    {
        $_938311fe79adb6870016543d1ceacbcc = $_d87c1a85615d0b67be8af312e25473f6->GetPrimaryFilename();
        $_bf979ad79724b8e5b9e51d207c71509f = $_d87c1a85615d0b67be8af312e25473f6->GetXML()->saveXML();
        
        
        
        return $this->PassError($this->filesystem->SaveFile($path, $_938311fe79adb6870016543d1ceacbcc . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_52cda29110357d15a5dfbc0805d422a" . "3"], $_bf979ad79724b8e5b9e51d207c71509f, true, true), $this->filesystem);
    }
    
    
    
    
    public function GetFolderMDExporter()
    {
        return new DocsExportFolderMDExporterXML();
    }
    
    
    
    
    public function GetDocumentMDExporter()
    {
        return new DocsExportDocumentMDExporterXML();
    }
}